        %% close_fig
        %    callback function that is called whenever the close button is
        %    pressed. 
        % inputs:
        %   object - current GUI object
        %   src - source of the callback calling
        %   event - event that triggered the callback
        % outputs:
        %   none
        function [] = close_fig(object,src,event)

            object.save_data;
            object.Data.open = 0;
            object.Data.fig = [];
            delete(object.fig);
            % remove reference to the old figure.
            object.fig = [];
        end
            
